%global pypi_name kolla-ansible

Summary:        Deploys OpenStack services and infrastructure components in Docker containers.
Name:           openstack-%{pypi_name}
Version:        15.2.0
Release:        1%{?dist}
License:        Apache-2.0
URL:            https://opendev.org/openstack/kolla-ansible
Source0:        https://tarballs.openstack.org/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildRequires:  /usr/bin/pathfix.py
BuildRequires:  python3-setuptools python3-devel python3-pbr
Requires:       python3-pbr python3-oslo-config python3-pyyaml python3-jinja2
Requires:       python3-oslo-utils python3-cryptography python3-jmespath

BuildArch:      noarch

%description
Kolla is highly opinionated out of the box, but allows for complete customization.
This permits operators with little experience to deploy OpenStack quickly and as
experience grows modify the OpenStack configuration to suit the operator’s exact requirements.

%prep
%setup -q -n %{pypi_name}-%{version}
# Fix all Python shebangs recursively in .
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" .

%build
%py3_build

%install
%py3_install

%files
%license LICENSE
%doc README.rst
%{_bindir}/*
%{python3_sitelib}/kolla*
%{_datadir}/%{pypi_name}/*

%changelog
* Sat Oct 07 2023 kianli <kianli@tencent.com> - 15.2.0-1
- Upgrade to 15.2.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 12.2.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 12.2.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 12.2.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Apr 14 2023 kianli <kianli@tencent.com> - 12.2.0-2
- remove swp file

* Wed Apr 12 2023 kianli <kianli@tencent.com> - 12.2.0-1
- Initial build
